variables:
  QUESTION_DIR: C_Programming/circularly_linked_lists/

Build_C_Question_Circularly_Linked_Lists:
  image: registry.gitlab.com/90cos/docker-definitions/basic-dev
  stage: build
  script:
    - cd $QUESTION_DIR
    - mkdir build
    - cmake -S . -B build/
    - make -C build/
  artifacts:
    paths:
      - ${QUESTION_DIR}build/
    expire_in: 1 day

Test_C_Question_Circularly_Linked_Lists:
  image: registry.gitlab.com/90cos/docker-definitions/basic-dev
  stage: test
  dependencies:
    - Build_C_Question_Circularly_Linked_Lists
  script:
    - cd $QUESTION_DIR
    - ./build/TestCode
